abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

včera 22:22 | Komunita

V Norimberku probíhá do neděle 28. května openSUSE Conference 2017. Na programu je celá řada zajímavých přednášek. Sledovat je lze online. K dispozici jsou také videozáznamy (YouTube) již proběhnuvších přednášek. Dění lze sledovat na Twitteru.

Ladislav Hagara | Komentářů: 0
včera 11:33 | IT novinky

Red Hat kupuje společnost Codenvy stojící za stejnojmenným webovým (cloudovým) integrovaným vývojovým prostředím (WIDE) postaveném na Eclipse Che.

Ladislav Hagara | Komentářů: 0
včera 08:55 | Nová verze

V listopadu 2014 byl představen fork Debianu bez systemd pojmenovaný Devuan. Po dva a půl roce jeho vývojáři oznámili vydání první stabilní verze 1.0. Jedná se o verzi s dlouhodobou podporou (LTS) a její kódové jméno je Jessie, podle planetky s katalogovým číslem 10 464.

Ladislav Hagara | Komentářů: 8
25.5. 20:22 | Zajímavý článek

Nadace Raspberry Pi vydala již osmapadesáté číslo (pdf) stostránkového anglicky psaného časopisu MagPi věnovanému Raspberry Pi a projektům postaveným na tomto jednodeskovém počítači a druhé číslo (pdf) časopisu Hello World primárně určeného pro učitele informatiky a výpočetní techniky.

Ladislav Hagara | Komentářů: 0
25.5. 19:55 | Humor

Portál Stack Overflow informuje na svém blogu, že pomohl ukončit editor Vim už více než milionu vývojářů. V loňském roce například hledal odpověď na otázku Jak ukončit editor Vim v průměru 1 z 20 000 návštěvníků.

Ladislav Hagara | Komentářů: 10
25.5. 19:22 | Nová verze

Po pěti měsících od vydání verze 3.5.0 byla vydána nová stabilní verze 3.6.0, tj. první z nové řady 3.6, minimalistické linuxové distribuce zaměřené na bezpečnost Alpine Linux (Wikipedie). Z novinek lze zmínit například podporu dvou nových 64bitových platforem little-endian POWER machines (ppc64le) a IBM z Systems (s390x) nebo nové balíčky Rust 1.17.0, Cargo 0.18.0, GHC 8.0.2 a Julia 0.5.2.

Ladislav Hagara | Komentářů: 0
24.5. 21:33 | Bezpečnostní upozornění

V Sambě byla nalezena a opravena bezpečnostní chyba CVE-2017-7494. Má-li útočník právo ukládat soubory na vzdálený server, může tam uložit připravenou sdílenou knihovnu a přinutit smbd server k jejímu načtení a tím pádem ke spuštění libovolných příkazů. Chyba je opravena v upstream verzích 4.6.4, 4.5.10 a 4.4.14. Chyba se týká všech verzí Samby od verze 3.5.0 vydané 1. března 2010.

Ladislav Hagara | Komentářů: 7
24.5. 20:44 | Nová verze

Byla vydána nová stabilní verze 4.3.0 integrovaného vývojového prostředí (IDE) Qt Creator. Z novinek lze zmínit například integraci editoru kódu do Qt Quick Designeru.

Ladislav Hagara | Komentářů: 1
24.5. 20:11 | Bezpečnostní upozornění

Společnost Check Point informuje na svém blogu o novém vektoru útoku. Pomocí titulků lze útočit na multimediální přehrávače VLC, Kodi, Popcorn Time, Stremio a pravděpodobně i další. Otevření útočníkem připraveného souboru s titulky v neaktualizovaném multimediálním přehrávači může vést ke spuštění libovolných příkazů pod právy uživatele. Ukázka na YouTube. Chyba je opravena v Kodi 17.2 nebo ve VLC 2.2.6.

Ladislav Hagara | Komentářů: 11
23.5. 15:18 | Zajímavý software

CrossOver, komerční produkt založený na Wine, je dnes (23. 5. 2017) dostupný ve slevě. Roční předplatné linuxové verze vyjde s kódem TWENTYONE na $21, resp. $1 v případě IP z chudších zemí. Firma CodeWeavers, která CrossOver vyvíjí, významně přispívá do Wine. Přidaná hodnota CrossOver spočívá v přívětivějším uživatelském rozhraní, integraci do desktopu a podpoře.

Fluttershy, yay! | Komentářů: 27
Chystáte se pořídit CPU AMD Ryzen?
 (6%)
 (32%)
 (1%)
 (8%)
 (44%)
 (9%)
Celkem 623 hlasů
 Komentářů: 62, poslední 19.5. 01:57
    Rozcestník

    Dotaz: USB adaptér pod Linuxem nefunguje

    18.2.2011 21:07 scitac
    USB adaptér pod Linuxem nefunguje
    Přečteno: 1263×
    Prosím, jak zprovoznit pod Linuxem toto wifi zařízení ?

    V manuálu se uvádí, že zařízení obsahuje Atheros UB82 chipset a doporučuje se stáhnout ovladače pro Linux ze stránek www.airlive.com. Mimochodem, žádné odpovídající ovladače jsem tam nenašel. Nebo je manuál matoucí a podpora je přímo v jádře ? Mám jádro 2.6.35.

    Každopádně to nefunguje. Po zasunutí do USB dmesg pouze stručně ohlásí "new high speed USB device using ehci_hcd and address 4" a to je vše.


    Řešení dotazu:


    Odpovědi

    Jendа avatar 19.2.2011 07:03 Jendа | skóre: 73 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Začal bych lsusb.
    19.2.2011 17:58 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    To sem jako první udělal a označilo to chip trochu jinak než je uvedeno v manuálu:

    Bus 002 Device 004: ID 1b75:9170 Ovislink Corp.

    A taky jsem zkusil iwconfig, což dopadlo takto:

    lo no wireless extensions.

    eth0 no wireless extensions.

    19.2.2011 22:00 frr | skóre: 32
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Vendor je Ovislink, device zjevně Atheros AR9170.

    http://wireless.kernel.org/en/users/Drivers/ar9170

    Možná bude potřeba přidat Vaše PCI IDčka do driveru. Možná v novějším kernelu už budou.
    [:wq]
    20.2.2011 01:27 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Tak, nahodil jsem nové jádro 2.6.38, ale hlášení je pořád stejné:

    lo no wireless extensions.

    eth0 no wireless extensions.

    Přidat PCI IDčka do driveru - jak se to dá provést ?
    20.2.2011 10:00 frr | skóre: 32
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Oho, RCčko? Vy jste opravdu radikální :-)

    Driver by se měl jmenovat ar9170usb a potřebuje ještě firmware patrně v /lib/firmware, nějaký help je k tomu v drivers/net/wireless/ath/ar9170/Kconfig (= dočtete se to i přes make menuconfig). Předpokládám, že tenhle driver/modul zavedete, ale on nenajde kompatibilní zařízení.

    Koukám přes gitweb na aktuální verzi zdrojáků driveru a pokud mi oči dobře slouží, Vaše IDčka tam skutečně nejsou. Domnívám se, že pro následující úpravu nepotřebujete bleeding edge jádro, IMO stačí nějaké starší (stable release). Otevřete soubor drivers/net/wireless/ath/ar9170/usb.c a hledejte definici 'static struct usb_device_id ar9170_usb_ids[] = {' . Následuje tabulka USB IDček. Určitě se zorientujete. Navrhuji přidat nakonec, před ukončovací prázdný záznam, něco jako

    /* Airlive X.USB a/b/g/n */

    { USB_DEVICE(0x1b75, 0x9170) },

    BTW, ten dongle je opravdu sexy, nedávno jsem něco takového hledal :-) Koukám žhavá novinka... a už se to dá koupit i u nás :-)
    [:wq]
    20.2.2011 15:34 Martin Doucha | skóre: 23 | blog: Yet another blog
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Hoď sem výstup dmesg, třeba to ten driver správně zdetekoval, ale na něco si stěžuje.
    20.2.2011 16:26 frr | skóre: 32
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob;f=drivers/net/wireless/ath/ar9170/usb.c

    Řádky 62 až 112. Ať koukám jak koukám, výrobce Ovislink tam vůbec není - ani podle ID, ani podle jména v komentáři.
    [:wq]
    Řešení 1× (scitac)
    20.2.2011 20:07 frr | skóre: 32
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Chci říct: opravdu je potřeba přidat ten řádek do zdrojáku (s komentářem řádky dva), aby se driver aspoň pokusil se známým čipem zapříst rozhovor. Pak se uvidí dál.
    [:wq]
    20.2.2011 20:50 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Souhlasím, později napíšu, jaký je výsledek.
    21.2.2011 14:18 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Správná myšlenka, rozjelo se to.
    21.2.2011 18:05 frr | skóre: 32
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Gratuluji a díky za informaci :-) Dokázal byste poslat echo do linux-wireless@vger.kernel.org (mailing list, vyžaduje subscription), nebo aspoň mailem přímo autorům, zmíněným ve zdrojáku ovladače? Viz makro MODULE_AUTHOR. Ideální by byl patch (diff -naur <starý> <nový>), ale tohle je tak triviální, že by určitě neurazil ani popis volnou formou (dva řádky do mailu a vhodný subject). Ať se to dostane do vanilky.
    [:wq]
    21.2.2011 19:41 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Dobře, pokusím se.
    22.2.2011 21:01 frr | skóre: 32
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Soudím, že tohle je Vaše dobrá práce:

    http://marc.info/?l=linux-wireless&m=129838265900446&w=2

    To vypadá nadějně. Zaujala mě jedna věc: že zjevně existují pro tento hardware dokonce dva drivery:

    drivers/net/wireless/ath/ar9170/usb.c (ar9170usb.ko)

    drivers/net/wireless/ath/carl9170/usb.c (carl9170.ko)

    Zřejmě mají společnou jakousi historii, do obou dosud přibývají USB IDčka - nicméně to vypadá, že oficiálně doporučovaný je carl9170. Ten co jsem původně našel já, tj. ar9170usb.ko, ten je zřejmě de facto deprecated. "Varianta Carl" má mít vyřešené nějaké zásadní problémy a pár fičur navíc. Viz též kapitola "History" na této oficiální dokumentační stránce:

    http://linuxwireless.org/en/users/Drivers/carl9170

    Christian Lamparter ta Vaše IDčka zjevně tlačí do "Varianty Carl". Hehe... a v Linuxově GITu vidím několik commitů starých pár hodin do ar9170usb :-) (našich USB IDček se tyto netýkaji) - a pak že je ar9170usb mrtvej.
    [:wq]
    22.2.2011 22:52 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Shrnul bych to následovně, "carl" je vlastně fork "ar" a vypadá to, že "carl" je lepší. Ovšem, aspoň co sem se díval, tak ty nejvíce rozšířené distribuce v současné době podporují "ar". Takže ar9170usb.ko opravdu ještě asi není "deprecated" a situace se mi moc nelíbí.

    22.2.2011 20:59 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Ještě mě napadla jedna věc. Hardware podporuje 2GHz i 5GHz, iwconfig ukazuje

    wlan1 IEEE 802.11abgn

    což znamená i pásmo 5GHz.

    Já ale nemám v blízkosti žádný vysílač v pásmu 5GHz, abych to mohl opravdu zkusit.

    Všechny vysílače jsou v pásmu 2GHz. Otázka zní, jak spolehlivě a jednoduše vyzkoušet, že pásmo 5GHz opravdu jede ?

    22.2.2011 21:12 frr | skóre: 32
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Nakonfigurovat dongle do režimu AP (zřejmě vyžaduje ovladač carl9170) a sledovat éter nějakým notebookem, co má vestavěnou 5GHz wifinu. Nebo pověsit na dongle Kismet (možná by stačil sken holýma rukama přes iwconfig/iw) a vedle zavysílat nějakým notebookem, co má vestavěnou 5GHz wifinu, kterou pro potřeby testu přepnete do režimu ad-hoc (pokud taková věc dává smysl).
    [:wq]
    22.2.2011 23:00 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    5GHz wifi zařízení je v nabídce obchodníků mnohem méně než 2GHz zařízení. Mimochodem totéž platí i pro vestavěná wifi zařízení u notebooků. Vhodný HW na vyzkoušení momentálně nemám a pomalu se odhodlávám převézt PC někam, kde je lepší signál.
    20.2.2011 19:37 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Adekvátní část výstupu dmesg je přímo nahoře v dotazu. Nestěžuje si na nic.
    22.2.2011 14:18 zavevideo
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Dakujem ze mi pomahate s mojim problemom spojazdnit usbx.3-ku. Precital som vsetky prispevky ,lenze sa v nich nevyznam.Ja som zaciatocnik v LINUXe UBUNTU OS,2.roky pouzivam ubuntu od 8.04 teraz uz 10.10-ku pouivam.Samozrejme som nadmerne spokojny.Ja niesom programator uz som stary nato aby som sa to ucil,preto sa obraciam na forum na vas mlady programatori aby ste mi pomohly.Drzim vam palce a vrela vdaka.Ostavam s pozdravom ZAVEvideo.
    stativ avatar 22.2.2011 14:36 stativ | skóre: 54 | blog: SlaNé roury
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Vzhledem k tomu, že oprava je (z pohledu programátora) velmi jednoduchá, je velká šance, že se dostane do některé z příštích verzí jádra (za předpokladu, že to scitac nebo někdo jiný pošle vývojářům). Tím pádem by to mohlo fungovat v některé z příštích verzí Ubuntu nebo i v současném po instalaci jádra, které zde zmiňovanou opravu bude obsahovat. Je ale otázka, jak to bude dlouho trvat než se to do jádra dostane.
    Ať sežeru elfa i s chlupama!!! ljirkovsky.wordpress.com stativ.tk
    22.2.2011 20:16 zavevideo
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Instalacia ako prebehne?? Budem ho musiet instalovat ja manualne, alebo sa nainstaluje automaticky cez AKTUALIZACIU?? Dakujem ZAVEvideo
    stativ avatar 22.2.2011 20:27 stativ | skóre: 54 | blog: SlaNé roury
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    No, předpokládám, že jako aktualizace to nebude. Spíš bych to viděl tak, že v nějakém Ubuntu 11.něco to bude fungovat bez problémů a pro starší Ubuntu budeš muset pohledat a nainstalovat to ručně. S trochou štěstí to bude už v jádře 2.6.38 (to by mělo vyjít, pokud dobře počítám, někdy na začátku dubna) nebo 2.6.39 (ca o 3 měsíce později).
    Ať sežeru elfa i s chlupama!!! ljirkovsky.wordpress.com stativ.tk
    2.3.2011 21:18 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Takže, dostal sem zprávu, že patch bude v jádře 2.6.38.
    2.3.2011 22:31 dustin | skóre: 61 | blog: dustin
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    +1. Krásná práce
    stativ avatar 3.3.2011 12:47 stativ | skóre: 54 | blog: SlaNé roury
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Dobrá práce.
    Ať sežeru elfa i s chlupama!!! ljirkovsky.wordpress.com stativ.tk
    4.3.2011 08:54 frr | skóre: 32
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Připojuji se ke gratulaci, před pár hodinami to Linus přijal do svého stromu (skrz podstrom net-2.6).

    http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob;f=drivers/net/wireless/ath/carl9170/usb.c

    Změna se dotkla jenom carl9170. V původním ovladači ar9170 se nová IDčka nevyskytují (v souladu s očekáváním).
    [:wq]
    4.3.2011 09:03 dustin | skóre: 61 | blog: dustin
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    A pak že vývoj jádra dělá především pár profi firem. Houby, bez těchto malých ale velice četných příspěvků by byly ovladače sto let za opicemi.
    22.2.2011 20:40 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Pokud bude součástí aktualizace nové jádro, které bude podporovat nové zařízení, tak je to automaticky vyřešeno.

    Ale na to je ještě čas.
    22.2.2011 20:45 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Ještě dodávám, že "aktualizací" jsem měl na mysli např. i povýšení z Ubuntu 10.10 na 11.04, pokud tedy jde, jak výše čtu, o Ubuntu.
    24.2.2011 11:09 zavevideo
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Velice pekne dakujem Prijemny den Vam prajem.
    3.3.2011 12:26 zavevideo
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Zdravim.Nainstaloval som ubuntu 11.4 co ma patch 2.6.38 ziadny vysledok.Takisto svieti ale ziadna reakcia.
    3.3.2011 14:42 scitac
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Předčasně. Současná verze jádra v Ubuntu 11.04 alfa to ještě neobsahuje.
    8.3.2011 10:42 zavevideo
    Rozbalit Rozbalit vše Re: USB adaptér pod Linuxem nefunguje
    Aha dakujem.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.